Subject: RE: [External] : Re: bug#62862: 26.3; Minor bug in (emacs) Shift Selection

From: Drew Adams <[email-masked]>
Date: Wed, 6 Sep 2023 14:26:17 +0000

> > but: how is this different from byte-compilation, native-compilation,
> > and other similar terminology that we use all over the place?
> 
> Maybe Drew can answer this as a general point of interest, but...
> 
> > In any case, I agree that this bug report is splitting hair.
> 
> ...since we seem to agree, I'm closing this bug report.

The general rule applies also to byte-compilation etc.
But it's a general rule.  What matters in the end is
usage.  If a particular writing of a composite word
becomes most common then that's it.  It's not unusual
to see an evolution from xxx yyy to xxx-yyy to xxxyyy.

The general rule is that when used as a noun it's a
noun phrase, and is written as separate words.  When
it's used as an adjective before a noun it's written
with a hyphen.  So:

"This happens during byte compilation."
"Byte-compilation optimization happens on Tuesday."

It's fine to decide whatever style you like.  It's
generally good to then be consistent in using it, of
course.

The reason for the rule is for readability: ease of
parsing when used as an adjective.  Nothing more.

In any case, I'd still suggest a glossary entry for
shift selection (or shift-selection, if that's your
decision).